import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  *
  * Beschreibung.
  *
  * @version 1.0 vom 01.09.2006
  * @author  claus albowski
  */

public class Gui extends JFrame {
  // Anfang Variablen
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private JMenuBar jMenuBar;
  private JMenu menueDatei;
  private JMenuItem menueEintragEnde;
  // Ende Variablen

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { beendenAktion(evt); }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setLocation(20, 20);
    setSize(frameWidth, frameHeight);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    // menu
    jMenuBar = new JMenuBar();
    setJMenuBar(jMenuBar);
    menueDatei = new JMenu("Datei");
    jMenuBar.add( menueDatei );
    JMenuItem jMenueEintragEnde = new JMenuItem("Ende");
    menueDatei.add(jMenueEintragEnde);
    jMenueEintragEnde.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        beendenAktion(evt);
      }
    });
    
    // buttons
    jButton1.setBounds(24, 16, 89, 25);
    jButton1.setText("jButton1");
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });

    jButton2.setBounds(24, 56, 89, 25);
    jButton2.setText("ENDE");
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        beendenAktion(evt);
      }
    });

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  public void jButton1ActionPerformed(ActionEvent evt) {
      System.out.println("macht noch nichts");
  }

  public void beendenAktion(AWTEvent evt) {
         if (JOptionPane.showConfirmDialog(this,
                             "wirklich beenden ?",
                             "Schlieen?",
                             JOptionPane.OK_CANCEL_OPTION)
             ==JOptionPane.OK_OPTION){
         System.exit(0);
         dispose();
         }
  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Gui("Gui");
  }
}

